!2345678901234567890223456789032345678904234567890523456789062345678907234567890
! ******************************************************************************
! *   Solve ICB position by a Newton method                          **
! ****************************************************************************** 

   subroutine cal_ICB_Tmp( T_ICB, T_CMB, r_ICB )

      use mod_physp

      implicit none
      real(8):: T_ICB, T_CMB
      real(8):: r_ICB

      real(8):: A, B

!   Set additional parameters

      A = 0.5d0 * alph_C * g_0 / ( Cp_C * R_CMB )
      B = T_CMB * exp( A * R_CMB**2 )
 
!      write ( 6,* ) D, E

!   density at the ICB

      T_ICB = B * exp( -A * r_ICB**2 )

      return

   end subroutine cal_ICB_Tmp

