!2345678901234567890223456789032345678904234567890523456789062345678907234567890
! ******************************************************************************
! *   Solve ICB position by a Newton method                          **
! ****************************************************************************** 

   subroutine cal_ICB_rho( rho_ICB, r_ICB )

      use mod_physp

      implicit none
      real(8):: rho_ICB, r_ICB

      real(8):: D, E

!   Set additional parameters

      D = 0.5d0 * g_0 / ( phi_C * R_CMB )
      E = rho_CMB * exp( D * R_CMB**2 )
 
!      write ( 6,* ) D, E

!   density at the ICB

      rho_ICB = E * exp( -D * r_ICB**2 )

      return

   end subroutine cal_ICB_rho

