!2345678901234567890223456789032345678904234567890523456789062345678907234567890
! ******************************************************************************
! **  calculate internal heating                        **
! ******************************************************************************
   subroutine cal_Qint( H_Man, tt )

      use mod_physp
      use mod_thermp

      implicit none
      real(8):: H_Man, tt
      real(8):: Qint_M
 
      Qint_M = C_U * (  R_238 * H_238 * exp( L_238 * ( ts_45 - tt ) )    &
                      + R_235 * H_235 * exp( L_235 * ( ts_45 - tt ) )    &
                      + R_Th  * H_Th  * exp( L_Th  * ( ts_45 - tt ) )    &
                      + R_K40 * H_K40 * exp( L_K40 * ( ts_45 - tt ) ) )

!      write ( 30,* ) ' ts-tt Qint_M =',L_238,(ts_45-tt)/SecBy, L_238 * ( ts_45 - tt ),Qint_M

      H_Man = M_Man * Qint_M

      return

   end subroutine cal_Qint
