!2345678901234567890223456789032345678904234567890523456789062345678907234567890
! ******************************************************************************
! **  set physical parameters                         **
! ******************************************************************************
   subroutine cal_Tp_D( Tp_D, Tp_M )

      use mod_cswitch
      use mod_physp
 
      implicit none
      real(8):: T_Man, Tp_M, Tp_D
      real(8):: A

!   Set parameters

      A    = alph_M * g_0 / Cp_M

!  D" Temperature

      if ( IADG == 1 ) then
        Tp_D = Tp_M * exp( A * ( R_0 - R_CMB ) )
       else
        Tp_D = Tp_M * ( 1.0d0 + A * ( R_0 - R_CMB ) )
      end if

      return

   end subroutine cal_Tp_D

