!2345678901234567890223456789032345678904234567890523456789062345678907234567890
! ******************************************************************************
! **  set physical parameters                         **
! ******************************************************************************
   subroutine set_cswitch

      use mod_cswitch
      implicit none
      character(80):: A

      write ( 6,* ) 'Read control switches'

!   Open data

      open ( 10, file='th_cswitch.data', status='old' )

!   Skip header

      read( 10,* ) 

!   Direction of calculation ( 1: forward, 2: backward )

      read ( 10, * ) A
      read ( 10, * ) ICAL
      write ( 6, * ) A, ICAL

!   Parameterization of Ra-Nu relationship
!  ( 1: Global Ra, 2: Local Ra, 3: Surface Ra )

      read ( 10, * ) A
      read ( 10, * ) IPRN
      write ( 6, * ) A, IPRN

!   Mantle adiabat ( 1:Constant alpha - exp(Az), 2: constant gradient )

      read ( 10, * ) A
      read ( 10, * ) IADG
      write ( 6, * ) A, IADG

!   Inner core growth ( 1:no inner core growth, 2: inner core growth )

      read ( 10, * ) A
      read ( 10, * ) IICG
      write ( 6, * ) A, IICG

      return

   end subroutine set_cswitch
