!2345678901234567890223456789032345678904234567890523456789062345678907234567890
! ******************************************************************************
! **  calculate viscosity                         **
! ******************************************************************************
   subroutine cal_Visc( Eta_U, Eta_L, T_Man, T_CMB )

      use mod_cswitch
      use mod_physp

      implicit none
      real(8):: Eta_U, Eta_L
      real(8):: T_Man, T_CMB

      Eta_U = A_Eta * exp( Hstar / ( R_gas * T_Man ) )

      if ( IPRN == 14 ) then
        Eta_L = Eta_VJ * A_Eta * exp( Hstar                                   &
                                     / ( R_gas * ( T_Man + T_CMB ) / 2.0d0 ) )
       else
        Eta_L = Eta_VJ * A_Eta * exp( Hstar / ( R_gas * T_Man ) )
      end if

      return

   end subroutine cal_Visc
