!2345678901234567890223456789032345678904234567890523456789062345678907234567890
! ******************************************************************************

   subroutine set_Tmlt_C( r_ICB, T_CMB )

      use mod_physp

      implicit none
      real(8):: r_ICB, T_CMB

      real(8):: T_ICB
      real(8):: A, B, C, D, E, F

!   Set additional parameter

      A = 0.5d0 * alph_C * g_0 / ( Cp_C * R_CMB )
      B = T_CMB * exp( A * R_CMB**2 )
      C = 1.0d0 - gTm_C / P_CMB * phi_C * rho_CMB
      D = 0.5d0 * g_0 / ( phi_C * R_CMB )
      E = rho_CMB * exp( D * R_CMB**2 )
      F = gTm_C / P_CMB * phi_C * E

!      write ( 6,* ) A, B, C, D, E

!   ICB temperature

      T_ICB = B * exp( -A * r_ICB**2  )

!   Melting temperature at CMB

      TmT_CMB = T_ICB / ( C + F * exp( -D * r_ICB**2 ) ) 

      return

   end subroutine set_Tmlt_C

